﻿//============================================================================
// shaders for ut4_herring, a Urban Terror map by codemadeflesh
//============================================================================
//
//============================================================================
// a cold night lit by the fullmoon
//============================================================================

textures/codey2/herring_sky_dark1
{
	nopicmip
	qer_editorimage textures/codey2/herring_sky_dark.tga // for the outsides
	surfaceparm sky
	surfaceparm nolightmap
	surfaceparm noimpact
	surfaceparm nodlight
	q3map_lightRGB 0.68 0.816 1
	q3map_lightmapFilterRadius 0 8
	q3map_sunExt .7 .89 1 50 265 40 3 32 // R G B intensity angle height half_shadow samples, (150)
	q3map_skyLight 10 3 // amount quality (17)
	q3map_backsplash -1 -1
	skyparms - - -
}

textures/codey2/herring_sky_bright1 // for inside the building
{
	nopicmip
	qer_editorimage textures/codey2/herring_sky_bright.tga
	surfaceparm sky
	surfaceparm nolightmap
	surfaceparm noimpact
	surfaceparm nodlight
	q3map_lightRGB 0.68 0.816 1
	q3map_lightmapFilterRadius 0 8
	q3map_sunExt .7 .89 1 300 265 40 3 32 // R G B intensity angle height half_shadow samples, (300)
	q3map_skyLight 300 3 // amount quality (200)
	q3map_backsplash -1 -1
	skyparms - - -
}

textures/codey2/herring_sky_dark1marks // for the bridgepillars
{
	nopicmip
	qer_editorimage textures/codey2/herring_sky_dark.tga
	surfaceparm sky
	//surfaceparm nolightmap
	q3map_lightRGB 0.68 0.816 1
	q3map_lightmapFilterRadius 0 8
	q3map_sunExt .7 .89 1 0 265 40 3 32
	q3map_skyLight 0 3
	q3map_backsplash -1 -1
	skyparms - - -
}

textures/codey2/herring_sky_dark1nonsolid // for the watersurface
{
	nopicmip
	qer_editorimage textures/codey2/herring_sky_dark.tga
	qer_trans 0.50
	surfaceparm trans
	surfaceparm sky
	//surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nodlight
	q3map_lightRGB 0.68 0.816 1
	q3map_lightmapFilterRadius 0 8
	q3map_sunExt .7 .89 1 0 265 40 3 32
	q3map_skyLight 0 3
	q3map_backsplash -1 -1
	skyparms - - -
}

textures/codey2/fill_moon
{
    qer_trans 0.50
	qer_editorimage textures/codey2/fill_moon.tga
    surfaceparm nolightmap
    surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	skyparms - - -
    
    
    q3map_backSplash -1 -1
    q3map_lightRGB .7 .89 1
    q3map_surfacelight 1000 // (4000)
}

textures/codey2/fill_sky_bright
{
    qer_trans 0.50
	qer_editorimage textures/codey2/fill_sky.tga
    surfaceparm nolightmap
    surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	skyparms - - -
    
    q3map_backSplash -1 -1
    q3map_lightRGB 0.68 0.816 1
    q3map_surfacelight 200
}

textures/codey2/fill_sky_high
{
    qer_trans 0.50
	qer_editorimage textures/codey2/fill_sky.tga
    surfaceparm nolightmap
    surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	skyparms - - -
    
    q3map_backSplash -1 -1
    q3map_lightRGB 0.68 0.816 1
    q3map_surfacelight 90 // (200)
}

textures/codey2/fill_sky_low
{
    qer_trans 0.50
	qer_editorimage textures/codey2/fill_sky.tga
    surfaceparm nolightmap
    surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	skyparms - - -
    
    q3map_backSplash -1 -1
    q3map_lightRGB 0.68 0.816 1
    q3map_surfacelight 35 // (75)
}

textures/codey2/fill_sky_dark
{
    qer_trans 0.50
	qer_editorimage textures/codey2/fill_sky.tga
    surfaceparm nolightmap
    surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	skyparms - - -
    
    q3map_backSplash -1 -1
    q3map_lightRGB 0.68 0.816 1
    q3map_surfacelight 17
}

//----------------------------------------------------------------------------
// Q3A skyseam fix: rgoer_skybox.ase - model + shader � rgoer - BIG THANKS !!!
//----------------------------------------------------------------------------

textures/codey2/herring_sky_ft
{
	q3map_nonplanar
	q3map_shadeangle 179
	q3map_invert
	surfaceparm trans
	surfaceparm pointlight
	nopicmip
	{
		map textures/codey2/herring_sky_ft.tga
		rgbGen identityLighting
	}
}

textures/codey2/herring_sky_lf
{
	q3map_nonplanar
	q3map_shadeangle 179
	q3map_invert
	surfaceparm trans
	surfaceparm pointlight
	nopicmip
	{
		map textures/codey2/herring_sky_lf.tga
		rgbGen identityLighting
	}
}

textures/codey2/herring_sky_bk
{
	q3map_nonplanar
	q3map_shadeangle 179
	q3map_invert
	surfaceparm trans
	surfaceparm pointlight
	nopicmip
	{
		map textures/codey2/herring_sky_bk.tga
		rgbGen identityLighting
	}
}

textures/codey2/herring_sky_rt
{
	q3map_nonplanar
	q3map_shadeangle 179
	q3map_invert
	surfaceparm trans
	surfaceparm pointlight
	nopicmip
	{
		map textures/codey2/herring_sky_rt.tga
		rgbGen identityLighting
	}
}

textures/codey2/herring_sky_dn
{
	q3map_nonplanar
	q3map_shadeangle 179
	q3map_invert
	surfaceparm trans
	surfaceparm pointlight
	nopicmip
	{
		map textures/codey2/herring_sky_dn.tga
		rgbGen identityLighting
	}
}

textures/codey2/herring_sky_up
{
	q3map_nonplanar
	q3map_shadeangle 179
	q3map_invert
	surfaceparm trans
	surfaceparm pointlight
	nopicmip
	{
		map textures/codey2/herring_sky_up.tga
		rgbGen identityLighting
	}
}

//============================================================================
// a softly shimmering ocean and a bridge to far
//============================================================================

textures/codey2/oceanshimmer
{
	qer_editorimage textures/codey2/ocean_shimmer.tga
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm nolightmap
	polygonOffset
	q3map_fancywater 10 1 1 1
    sort 6
    
    {
		map textures/codey2/ocean_shimmer.tga
        blendFunc GL_DST_COLOR GL_ONE
        tcMod scroll 0.002 -0.005 // (0.003 -0.007)
	}
    {
		map textures/codey2/ocean_shimmer.tga
        blendFunc GL_DST_COLOR GL_ONE
        tcMod scale 0.95 1.07
        tcMod scroll -0.0005 -0.003 // (-0.0007 -0.006)
        detail
	}
}

textures/codey2/oceanbelow
{
	qer_editorimage textures/codey2/ocean_shimmer.tga
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm nolightmap
	//polygonOffset
	q3map_nofancywater
    sort 6
    
    {
		map textures/codey2/ocean_shimmer.tga
        blendFunc GL_DST_COLOR GL_ZERO
        tcMod scroll 0.002 -0.005
	}
    {
		map textures/codey2/ocean_shimmer.tga
        blendFunc GL_DST_COLOR GL_ONE
        tcMod scale 0.95 1.07
        tcMod scroll -0.0005 -0.003
        detail
	}
}

textures/codey2/oceansurface
{
    qer_editorimage textures/codey2/ocean_surface.tga
    qer_trans 0.5
    q3map_nofancywater
    
	{
		map textures/codey2/ocean_surface.tga
	}
	{
	   map $lightmap
	   blendfunc filter
    }  
} 

textures/codey2/bridge_botong1
{
    qer_editorimage textures/codey2/botong_bridge.tga
    {
        map textures/codey2/botong_bridge.tga
		rgbGen vertex
    }
}

//============================================================================
// light fixtures - sodiums
//============================================================================

textures/codey2/sodium_dr
{
    qer_editorimage textures/codey2/sodium01.tga
    q3map_surfacelight 4000
    q3map_lightRGB 1 0.651 0.27
    q3map_backsplash 0 23
    surfaceparm nomarks
	{ 
		map $lightmap
		rgbGen identity 
	} 
	{ 
		map textures/codey2/sodium01.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR 
		rgbGen identity 
	} 
	{
		map textures/codey2/sodium02.tga
		blendfunc GL_ONE GL_ONE
	} 
}

textures/codey2/sodium_md
{
    qer_editorimage textures/codey2/sodium01.tga
    q3map_surfacelight 8000
    q3map_lightRGB 1 0.651 0.27
    q3map_backsplash 0 23
    surfaceparm nomarks
	{ 
        map $lightmap
		rgbGen identity 
	} 
	{ 
		map textures/codey2/sodium01.tga		
		blendFunc GL_DST_COLOR GL_SRC_COLOR 
		rgbGen identity 
	} 
	{
		map textures/codey2/sodium02.tga
		blendfunc GL_ONE GL_ONE
	} 
}

textures/codey2/sodium_br
{
    qer_editorimage textures/codey2/sodium01.tga
    q3map_surfacelight 12000
    q3map_lightRGB 1 0.651 0.27
    q3map_backsplash 0 23    
    surfaceparm nomarks
	{ 
		map $lightmap 
		rgbGen identity 
	} 
	{ 
		map textures/codey2/sodium01.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR 
		rgbGen identity 
	} 
	{
		map textures/codey2/sodium02.tga
		blendfunc GL_ONE GL_ONE
	} 
}

textures/codey2/fill_sodium_dr
{
    qer_trans 0.50
	qer_editorimage textures/codey2/fill_sodium.tga
    surfaceparm nolightmap
    surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	skyparms - - -
    
    q3map_backSplash -1 -1
    q3map_surfacelight 250// 1000
    q3map_lightRGB 1 0.651 0.27
}

textures/codey2/fill_sodium_md
{
    qer_trans 0.50
	qer_editorimage textures/codey2/fill_sodium.tga
    surfaceparm nolightmap
    surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	skyparms - - -
    
    q3map_backSplash -1 -1
    q3map_surfacelight 500
    q3map_lightRGB 1 0.651 0.27
}


//============================================================================
// large scale variations - normal texture + large 'detail' texture
//============================================================================

textures/codey2/plaster01
{
    qer_editorimage textures/codey2/filth02.tga
    q3map_globalTexture
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/codey2/plaster01.tga
        blendFunc filter
    }
    {
        map textures/codey2/filth02.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        detail
        tcMod scale 0.35 0.315// 0.5 0.45
    }
}

textures/codey2/plaster02
{
    qer_editorimage textures/codey2/filth02.tga
    q3map_globalTexture
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/codey2/plaster02.tga
        blendFunc filter
    }
    {
        map textures/codey2/filth02.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        detail
        tcMod scale 0.35 0.315// 0.5 0.45
    }
}

textures/codey2/ytong02gunk
{
    qer_editorimage textures/codey2/ytong02gunk
    q3map_globalTexture
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/codey2/ytong02gunk.tga
        blendFunc filter
    }
    {
        map textures/codey2/detail_grime01.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        detail
        tcMod scale 0.2 0.25
    }
}

textures/codey2/ytong_htrim
{
    qer_editorimage textures/codey2/ytong_htrim.tga
    q3map_globalTexture
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/codey2/ytong_htrim.tga
        blendFunc filter
    }
    {
        map textures/codey2/filth02.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        detail
        tcMod scale 0.2 0.25
    }
}

textures/codey2/tegel_grime01
{
    qer_editorimage textures/codey2/tegel01.tga
    q3map_globalTexture
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/codey2/tegel01.tga
        blendFunc filter
    }
    {
        map textures/codey2/detail_grime01.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        detail
        tcMod scale 0.17 0.18
    }
}

textures/codey2/grus01
{
    qer_editorimage textures/codey2/grus_filth1.tga
    q3map_globalTexture
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/codey2/grus01.tga
        blendFunc filter
        tcMod scale 8 8
    }
    {
        map textures/codey2/grus_filth1.tga
        blendFunc GL_DST_COLOR GL_ZERO
        detail
    }
}

//============================================================================
// phonged surfaces
//============================================================================

textures/codey2/crock01nm
{
    q3map_nonplanar
    q3map_shadeangle 120// 45
    qer_editorimage textures/codey2/crock01nm.tga    
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/codey2/crock01nm.tga
        blendFunc filter
    }
}

textures/codey2/cistern_md512
{
    q3map_nonplanar
    q3map_shadeangle 90// 60
    qer_editorimage textures/codey2/cistern_md512t.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/codey2/cistern_md512t.tga
        blendFunc filter
    }
}

textures/codey2/rosty01phong
{
    q3map_nonplanar
    q3map_shadeangle 90// 60
    qer_editorimage textures/codey2/rosty_lines01.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/codey2/rosty_lines01.tga
        blendFunc filter
    }
}

textures/codey2/rock_sea
{
    q3map_nonplanar
    q3map_shadeangle 90// 60
    qer_editorimage textures/codey2/rock_sea1.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/codey2/rock_sea1.tga
        blendFunc filter
    }
}

textures/codey2/vatten_slut01
{
    q3map_nonplanar
    q3map_shadeangle 60
    qer_editorimage textures/codey2/vatten_slut01.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/codey2/vatten_slut01.tga
        blendFunc filter
    }
}

textures/codey2/power_panel1
{
    q3map_nonplanar
    q3map_shadeangle 60
    qer_editorimage textures/codey2/power_panel1.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/codey2/power_panel1.tga
        blendFunc filter
    }
}

textures/codey2/power_panel2
{
    q3map_nonplanar
    q3map_shadeangle 60
    qer_editorimage textures/codey2/power_panel2.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/codey2/power_panel2.tga
        blendFunc filter
    }
}


//============================================================================
// grates with see-through parts - soft in distance - no mipmap pixel flicker
//============================================================================

textures/codey2/gunnebo1
{
	nopicmip
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm alphashadow
	cull none
	sort 6
	{
		map textures/codey2/gunnebo2.tga
		blendFunc GL_ZERO GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
    {
		map textures/codey2/gunnebo1.tga
		//rgbgen const ( 0.5 0.5 0.5 )
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}

textures/codey2/barbiewire7
{
	nopicmip
	qer_editorimage textures/codey2/barbiewire7ed.tga
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm nonsolid
	cull none
	sort 6

	{
		map textures/codey2/barbiewire_twist_b.tga
		blendFunc GL_ZERO GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
    {
		map textures/codey2/barbiewire_twist.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}


//============================================================================
// green slime water - surface and pollutionfog
//============================================================================

textures/codey2/vatten01
{
    qer_editorimage textures/codey2/vattenyta02.tga
    qer_trans 0.4
    q3map_globaltexture
    q3map_tessSize 128
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm water
    cull disable
    deformVertexes wave 128 sin .25 .25 0 .5	
    { 
        map textures/codey2/vattenyta01.tga
        blendFunc GL_DST_COLOR GL_ONE
        rgbgen identity
        tcmod scale .9 1.1
        tcmod scroll .03 .007
    }	
    { 
        map textures/codey2/vattenyta02.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbgen identity
        tcMod turb 0 0.02 0 0.125
        tcmod scroll .01 .015
    }
}

textures/codey2/vattenpollution
{
	qer_editorimage textures/codey2/vattenpollution.tga
	qer_trans 0.4
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	nodrop
	surfaceparm	fog
	q3map_bounceScale 0
	fogparms ( .03 .079 .077 ) 320 //( .059 .157 .157 )
}

textures/codey2/vattencaulk
{
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
}


//============================================================================
// posters and signs - kept sharp w nopicmip
//============================================================================

textures/codey2/biohazswim
{
    nopicmip
	{
		map textures/codey2/biohazswim.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen vertex
		depthWrite
	}
}

textures/codey2/fs_cod_logo
{
    nopicmip
	{
		map textures/codey2/fs_cod_logo.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen vertex
		depthWrite
	}
}

textures/codey2/herring_poster1
{
    nopicmip
	{
		map textures/codey2/herring_poster1.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen vertex
		depthWrite
	}
}

textures/codey2/herring_poster2
{
    nopicmip
	{
		map textures/codey2/herring_poster2.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen vertex
		depthWrite
	}
}

textures/codey2/ec_poster_b
{
    nopicmip
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/codey2/ec_poster_b.tga
        blendFunc filter
    }
}

textures/codey2/ec_poster_r
{
    nopicmip
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/codey2/ec_poster_r.tga
        blendFunc filter
    }
}

//============================================================================
// decal projectors - to use on patches with _decal function - inv. multiply
//============================================================================

textures/codey2/biohazpaint
{
    nopicmip
    surfaceparm trans
    polygonOffset
    sort 6
	{
		map textures/codey2/biohazpaint.tga
        blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR 
        depthWrite 
        rgbGen identity
	}
}

textures/codey2/stripe_blu
{
    qer_editorimage textures/codey2/stripe_blu1.tga
    surfaceparm trans
    polygonOffset
    sort 6
	{
		map textures/codey2/stripe_blu1.tga
        blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR 
        depthWrite 
        rgbGen identity
	}
}

textures/codey2/stripe_red
{
    qer_editorimage textures/codey2/stripe_red1.tga
    surfaceparm trans
    polygonOffset
    sort 6
	{
		map textures/codey2/stripe_red1.tga
        blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR 
        depthWrite 
        rgbGen identity
	}
}


//============================================================================
// decal projectors - to use on patches with _decal function - overlay blend
//============================================================================

textures/codey2/vent_1
{
    qer_editorimage textures/codey2/vent_1.tga
    surfaceparm trans
    polygonOffset
    sort 6
	{
		map textures/codey2/vent_1.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR 
        depthWrite 
        rgbGen identity
        detail
	}
}

textures/codey2/vent_2
{
    qer_editorimage textures/codey2/vent_2.tga
    surfaceparm trans
    polygonOffset
    sort 6
	{
		map textures/codey2/vent_2.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR 
        depthWrite 
        rgbGen identity
        detail
	}
}

textures/codey2/herring_poster3 // Haagenti
{
    nopicmip
    qer_editorimage textures/codey2/herring_poster3.tga
    surfaceparm trans
    polygonOffset
    sort 6
	{
		map textures/codey2/herring_poster3.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR 
        depthWrite 
        rgbGen identity
	}
}

textures/codey2/herring_poster4 // HSO
{
    nopicmip
    qer_editorimage textures/codey2/herring_poster4.tga
    surfaceparm trans
    polygonOffset
    sort 6
	{
		map textures/codey2/herring_poster4.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR 
        depthWrite 
        rgbGen identity
	}
}

textures/codey2/herring_poster5 // UTZ
{
    nopicmip
    qer_editorimage textures/codey2/herring_poster5.tga
    surfaceparm trans
    polygonOffset
    sort 6
	{
		map textures/codey2/herring_poster5.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR 
        depthWrite 
        rgbGen identity
	}
}

textures/codey2/ec_tag_b
{
    nopicmip
    qer_editorimage textures/codey2/ec_tag_b.tga
    surfaceparm trans
    polygonOffset
    sort 6
	{
		map textures/codey2/ec_tag_b.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR 
        depthWrite 
        rgbGen identity
	}
}

textures/codey2/ec_tag_r
{
    nopicmip
    qer_editorimage textures/codey2/ec_tag_r.tga
    surfaceparm trans
    polygonOffset
    sort 6
	{
		map textures/codey2/ec_tag_r.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR 
        depthWrite 
        rgbGen identity
	}
}

textures/codey2/factory_logo1
{
    nopicmip
    qer_editorimage textures/codey2/factory_logo1.tga
    surfaceparm trans
    polygonOffset
    sort 6
	{
		map textures/codey2/factory_logo1.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR 
        depthWrite 
        rgbGen identity
        detail
	}
}

textures/codey2/codey_tag
{
    nopicmip
    qer_editorimage textures/codey2/codey_tag.tga
    surfaceparm trans
    polygonOffset
    sort 6
	{
		map textures/codey2/codey_tag.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR 
        depthWrite 
        rgbGen identity
	}
}


//============================================================================
// nodraw ladder - use on brushes wrapping objects to be climbed
//============================================================================

textures/codey2/stege1
{
	qer_editorimage textures/codey2/stege1.tga
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
	surfaceparm trans
}


//============================================================================
// magic shadow maker - thanks to ratty redemption for the basic code!
//============================================================================

textures/codey2/shadow 
{ 
    qer_editorimage textures/codey2/shadow1.tga 
    qer_trans 0.50
    q3map_pointlight 
    surfaceparm nonsolid 
    surfaceparm nomarks
    surfaceparm noimpact 
    { 
        map $whiteimage 
        alphagen const 0 
        alphafunc GT0
    } 
}


//============================================================================
// pure white and black
//============================================================================

textures/codey2/pit_white
{
    qer_editorimage textures/codey2/pit_white.tga
    //nolightmap
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/codey2/pit_white.tga
        blendFunc GL_ONE GL_ONE
    }
}

textures/codey2/pitch_black
{
    qer_editorimage textures/codey2/pitch_black.tga
    //nolightmap
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/codey2/pitch_black.tga
        blendFunc GL_ZERO GL_ZERO
    }
}


//============================================================================
// bullet marks on models - use on a clipbrush - thanks to $NulL for this one
//============================================================================

textures/codey2/bullet_clip
{
    qer_trans 0.5
    surfaceparm trans
    surfaceparm detail
    {
        map $whiteimage
        blendfunc filter
    }
}

